Skip to main content
GET
/
api
/
v1
/
search
/
{id}
Get search result
curl --request GET \
  --url https://developer.thehog.ai/api/v1/search/{id} \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>'
{
  "id": "<string>",
  "query": "<string>",
  "created_at": "<string>",
  "poll_url": "<string>",
  "results": [
    {
      "url": "<string>",
      "title": "<string>",
      "content": "<string>",
      "published_at": "<string>",
      "author_name": "<string>",
      "author_headline": "<string>",
      "id": "<string>",
      "platform_video_id": "<string>",
      "post_url": "<string>",
      "author_username": "<string>"
    }
  ],
  "total_results": 123,
  "error": {
    "message": "<string>",
    "retryable": true
  },
  "completed_at": "<string>"
}

GET /api/v1/search/:id

Poll for search results.
Poll for results of a search submitted via POST /api/v1/search.

Example

curl https://developer.thehog.ai/api/v1/search/srch_01HZXYZ \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Path Parameters

id
string
required

Search ID.

Response

Current search status, progress, result, or error.

id
string
required

Unique search result ID

status
enum<string>
required

Current status

Available options:
queued,
processing,
succeeded,
failed
type
enum<string>
required

Search type

Available options:
web_search,
site_search,
linkedin_keyword,
x_keyword,
reddit_search,
tiktok_keyword,
tiktok_hashtag
query
string
required

Original query

created_at
string
required

ISO timestamp of creation

poll_url
string

URL to poll for result

results
object[] | null

Search results array

total_results
number | null

Total results found

error
object

Error details when failed

completed_at
string | null

ISO timestamp of completion